This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 436921 - Add foreign keys to dependencies table in DB schema.
Add foreign keys to dependencies table in DB schema.
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
3.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks: 435071
  Show dependency treegraph
 
Reported: 2008-03-11 02:37 EDT by Tony Fu
Modified: 2013-06-24 00:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 21:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add FKs in dependencies table (1.05 KB, patch)
2008-03-11 02:37 EDT, Tony Fu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 422037 None None None Never

  None (edit)
Description Tony Fu 2008-03-11 02:37:33 EDT
+++ This bug was initially created as a clone of Bug #435073 +++

Add FK constraints to dependencies table in Bugzilla/DB/Schema.pm file.
Comment 1 Tony Fu 2008-03-11 02:37:33 EDT
Created attachment 297568 [details]
add FKs in dependencies table
Comment 2 David Lawrence 2008-03-17 00:20:02 EDT
Patch looks good to me. Please go ahead and checkin to our CVS and close this bug.

Make sure you keep on top of this with the upstream bug and submit any
corrections needed. Also you can ask Max or someone else on the development team
to check in the patch to Mozilla CVS for you. I can check it in if they won't. 

Dave
Comment 3 Tony Fu 2008-03-17 21:58:27 EDT
(In reply to comment #2)
> Patch looks good to me. Please go ahead and checkin to our CVS and close this bug.
> 
> Make sure you keep on top of this with the upstream bug and submit any
> corrections needed. Also you can ask Max or someone else on the development team
> to check in the patch to Mozilla CVS for you. I can check it in if they won't. 
> 
> Dave

Hi Dave,

The upstream is waiting a 3.2 branch before they can check these patches in. 
Please see Mozilla Foundation bug #414779 for details.

Thanks,
Tony
Comment 4 Tony Fu 2008-04-02 21:17:10 EDT
Patch has been accepted by upstream.

Close this bug.

Note You need to log in before you can comment on or make changes to this bug.